# fileMatchRegex, dirExcludeRegEx, stringMatchRegex, stringMatchRegexGroup, replacementKey
web.xml, ,(<param-name>ReportRepository</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, reportRepository
web.xml, ,(<param-name>jdbcUrl</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, jdbcUrl
web.xml, ,(<param-name>jdbcDriver</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, dbDriver
web.xml, ,(<param-name>jdbcUser</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, dbUsername
web.xml, ,(<param-name>jdbcPassword</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, dbPasswordDeviceEncrypted
login.config, ,(dbUrl=)("?)([^"^\s]*)("?), 3, jdbcUrl
login.config, ,(dbUserName=)("?)([^"^\s]*)("?), 3, dbUsername
login.config, ,(dbDriver=)("?)([^"^\s]*)("?), 3, dbDriver
login.config, ,(dbPassword=)("?)([^"^\s]*)("?), 3, dbPasswordDeviceEncrypted
web.xml, ,(<param-name>BIRT_VIEWER_WORKING_FOLDER</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, reportRepository
web.xml, ,(<param-name>BIRT_VIEWER_DOCUMENT_FOLDER</param-name>)(\s*)(<param-value>)(.*)(</param-value>), 4, reportRepository
(.*)(.rptdesign), ,(<property name="odaDriverClass">)(.*)(</property>), 2, dbDriver
(.*)(.rptdesign), ,(<property name="odaURL">)(.*)(</property>), 2, jdbcUrl
(.*)(.rptdesign), ,(<property name="odaUser">)(.*)(</property>), 2, dbUsername
(.*)(.rptdesign), ,(<encrypted-property name="odaPassword">)(.*)(</encrypted-property>), 2, dbPasswordBirtEncrypted